---
name: Button
menu: Components
---

import { Playground, Props } from "docz";

import PrimaryButton from "./PrimaryButton";
import SecondaryButton from "./SecondaryButton";
import Button from "./Button";
import IconButton from "./IconButton";
import Icon from "./Icon";
import Fab from "./Fab";
import Grid from "./Grid";

import PersonAddIcon from "@material-ui/icons/PersonAdd";

# Button

Buttons make common actions more obvious and help users more easily perform them. Buttons use labels and sometimes icons to communicate the action that will occur when the user touches them.

### Best practices

- Group buttons logically into sets based on usage and importance.
- Ensure that button actions are clear and consistent.
- The main action of a group set can be a primary button.

<!-- Primary Button -->

## Primary Button

### Basic usage

<Playground>
  <Grid container spacing={3}>
    <Grid item>
      <PrimaryButton>Primary Action</PrimaryButton>
    </Grid>
    <Grid item>
      <PrimaryButton disabled>Disabled Primary Action</PrimaryButton>
    </Grid>
    <Grid item>
      <PrimaryButton>
        <Icon>home</Icon>
        Primary Action
      </PrimaryButton>
    </Grid>
    <Grid item>
      <PrimaryButton dark>
        <Icon>home</Icon>
        Primary Action
      </PrimaryButton>
    </Grid>
  </Grid>
</Playground>

### Properties

<Props of={PrimaryButton} />

<!-- Secondary Button -->

## Secondary Button

### Basic usage

<Playground>
  <Grid container spacing={3}>
    <Grid item>
      <SecondaryButton>Secondary Action</SecondaryButton>
    </Grid>
    <Grid item>
      <SecondaryButton disabled>Disabled Secondary Action</SecondaryButton>
    </Grid>
    <Grid item>
      <SecondaryButton>
        <Icon>home</Icon>
        Secondary Action
      </SecondaryButton>
    </Grid>
  </Grid>
</Playground>

### Properties

<Props of={SecondaryButton} />

<!-- Menu Button -->

## Menu Button

### Basic usage

<Playground>
  <Button label="Home" icon="home" />
</Playground>

### Properties

<Props of={Button} />

<!-- Icon Button -->

## Icon Button

### Basic usage

<Playground>
  <IconButton aria-label="home" color="primary">
    <Icon>home</Icon>
  </IconButton>
  <IconButton aria-label="home" color="secondary" size="small">
    <Icon>home</Icon>
  </IconButton>
</Playground>

### Properties

<Props of={IconButton} />

<!-- Fab -->

## Fab

### Basic usage

<Playground>
  <Fab style={{ position: "relative", bottom: "auto", right: "auto" }} />
</Playground>

### Properties

<Props of={Fab} />
